%define name prokyon3
%define version 0.9.2
%define release 1fm
%define iconsdir "/usr/share/pixmaps"

Summary:   	An MP3/Ogg manager and tag editor.
Name:      	%{name}
Version:   	%{version}
Release:   	%{release}
Source0:    	%{name}-%{version}.tar.bz2
Source1:   	%{name}_16.png.bz2
Source2:   	%{name}_32.png.bz2
Source3:   	%{name}_48.png.bz2
Patch0:		%{name}-%{version}-nl.po-patch.bz2
Group: 	   	Sound
License:   	GPL
URL:       	http://%{name}.sourceforge.net/
Packager:	S Yoder <computer AT flatmtn DOT com>
Buildroot: 	%{_tmppath}/%{name}-%{version}
BuildRequires:	mysql-server
BuildRequires:	XFree86-devel
BuildRequires:	gettext
BuildRequires:	id3lib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	mysql-devel
BuildRequires:	libogg-devel
BuildRequires:	qt-devel
BuildRequires:	qt-MySQL
BuildRequires:	libvorbis-devel
BuildRequires:	libvorbis
BuildRequires:	zlib-devel

%description
Prokyon3 is a multithreaded MP3/Ogg manager and tag editor for Linux.
It was written in C++ using the Qt3 widget set and the MySQL database.
Prokyon3 can access MP3 files on harddisk, CDROM, SMB and NFS. 

Files can be played  using XMMS and can even be played when the
files are on CD as prokyon3 identifies CDs by content. 

The files view is customizable and favourite artists as well as sampler
soundtracks are supported. Prokyon3 also offers an editor for ID3 tags
and has been designed to support tagging for multiple files en masse.

Prokyon3 key features are:

     * multithreaded                                              
     * manages files on harddisk/CDROM or over network        
     * search the database by artist, song, album, filename...	  
     * very comfortable editor for ID3 tags			  
     * manages favorite artists and sampler/soundtracks                                  
     * plays and enqueues MP3 files with XMMS or any other player           
     * uses MySQL as database back end
     * configuration editor and database wizard
     * access files over SMB and NFS                
     * play-list editor                                            
     * support for Ogg/Vorbis

%prep
%setup -q

%patch0

%build
[ -f "/usr/bin/moc" ] || export PATH="${PATH}:/usr/lib/qt3/bin"

./configure --with-qtdir="/usr/lib/qt3" --prefix="%{_prefix}"

make

%install
rm -rf ${RPM_BUILD_ROOT}

%makeinstall

%find_lang %{name}

# Icons
install -d ${RPM_BUILD_ROOT}%{iconsdir}
bzcat %{SOURCE1} > ${RPM_BUILD_ROOT}%{iconsdir}/%{name}_16x16.png
bzcat %{SOURCE2} > ${RPM_BUILD_ROOT}%{iconsdir}/%{name}_32x32.png
bzcat %{SOURCE3} > ${RPM_BUILD_ROOT}%{iconsdir}/%{name}_48x48.png

# Install menu entry
install -d ${RPM_BUILD_ROOT}/usr/share/applications

cat << EOF > ${RPM_BUILD_ROOT}/usr/share/applications/%{name}.desktop
[Desktop Entry]
Name=Prokyon3
Comment=An MP3/Ogg manager and tag editor
Exec=prokyon3
Icon=%{name}_32x32.png
Terminal=0
Type=Application
Categories=Application;AudioVideo;
StartupNotify=true
EOF

%clean
rm -rf ${RPM_BUILD_ROOT}

#%post
#%{update_menus}

#%postun
#%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING INSTALL NEWS README

%{_bindir}/%{name}
%{_bindir}/prokburn

%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/images
%{_datadir}/%{name}/images/*.png

%dir %{_datadir}/%{name}/html/
%dir %{_datadir}/%{name}/html/manual_one_file/
%{_datadir}/%{name}/html/manual_one_file/index.html

%dir %{_datadir}/%{name}/html/manual_one_file/images/
%dir %{_datadir}/%{name}/html/manual_one_file/images/docbook/
%{_datadir}/%{name}/html/manual_one_file/images/docbook/*.png

/usr/share/pixmaps/prokyon3_*.png
/usr/share/applications/%{name}.desktop


%changelog
* Sat Dec 6 2003 S Yoder <computer AT flatmtn DOT com>
- revised spec for RedHat 9 (shrike)

* Sun Oct 18 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.2-2mdk
- Mdk 9.2 build.

* Sun Oct 12 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.2-1mdk
- 0.9.2 final

* Sat Sep 20 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.2_RC2-5mdk
- Requires mpg123 (prokburn script).

* Fri Sep 19 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.2_RC2-4mdk
- More nl translation updates.

* Fri Sep 19 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.2_RC2-3mdk
- Reworked nl translation.

* Wed Sep 17 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.2_RC2-2mdk
- Patched nl translation to fix bug.

* Mon Sep 15 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.2_RC2-1mdk
- 0.9.2RC2

* Sat Sep 06 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.2_RC1-1mdk
- 0.9.2RC1
- Removed mysql script.

* Tue Sep 02 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.1_r1-5mdk
- Requires libqt3-mysql.

* Wed Aug 27 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.1_r1-4mdk
- MySQL commands in post.

* Tue Aug 26 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.1_r1-3mdk
- Removed dependancies on libGLcore.so.1.

* Mon Aug 25 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.1_r1-2mdk
- Fixed doc menu entry.

* Sat Aug 23 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.1_r1-1mdk
- Initial wrap.
